> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-practical-guides/snomed-ct-postcoordination-guide/expressions-in-the-ehr/4.6-exchanging-expressions.md).

# Exchanging Expressions

The main options for sharing postcoordinated expressions are:

* To exchange the terse expression as the ‘code’ of the relevant field, with the displayed or auto-generated term.
  * For example, the HL7 version 3 CD data type (Release 2) allows the 'code' property to include SNOMED CT expressions (see [HL7 TermInfo guide](http://wiki.hl7.org/index.php?title=File:V3_IG_SNOMED_R1_D5_2014JAN.docx)).
  * Within the coding also include a precoordinated concept, for systems that can not process expressions. This should be the proximal inferred parent concept of the expression.
  * *This option is shown in the example below.*
* To decompose the expression into separate fields - one for a focus concept and then one for each of the attribute values in the expression.
  * In each field, the concept identifier may be used as the code, and one of the synonyms as the display text.
  * This approach assumes alignment between the message structure and the relevant parts of the SNOMED CT concept model.
* To use an expression identifier from your expression repository as the ‘code’, with the display term.
  * This approach requires the use of a shared expression repository enabling the recipient system to look up and resolve this identified to the relevant expression.

**Example: A FHIR Resource including a postcoordinated expression**

```json
[code]
{
"resourceType": "Condition",
"id": "f205",
"text": {
"status": "generated",
"div": "<div xmlns="http://www.w3.org/1999/xhtml">..."
},
"clinicalStatus": {},
"verificationStatus": {},
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "301354004 |Pain of ear| : 272741003 |Laterality| = 7771000 |Left|",
"display": "Left ear pain"
},
{
"system": "http://snomed.info/sct",
"code": "301354004 |Pain of ear|",
"display": "Pain of ear"
}
  ]
},
"subject": {
"reference": "Patient/f201",
"display": "PP"
},
"recordedDate": "2013-04-04",
"asserter": {
"reference": "Practitioner/f201"
}
}
[/code]
```

**Terminology services**

Enabling expressions to be included in communication messages requires:

* Lookup Expression. This will be used to get either the CTU form of the expression or the expression identifier to be included as the code for the coded data element in the message
* Get Display Term. This is required in cases where a single display term is required for the expression, and this approach is acceptable in the given setting.

{% hint style="info" %}
More information about the Terminology Services requirements please see: [Terminology Services Requirements](/snomed-ct-practical-guides/snomed-ct-postcoordination-guide/expressions-in-a-terminology-server/requirements/terminology-services-requirements.md)
{% endhint %}

{% hint style="warning" %}
*Note that additional terminology services will be required to decompose expressions to enable the separation of values into specific fields of the message structure.*
{% endhint %}

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=Postcoordination+Guide&#x26;entry.670899847=Exchanging%20Expressions" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.snomed.org/snomed-ct-practical-guides/snomed-ct-postcoordination-guide/expressions-in-the-ehr/4.6-exchanging-expressions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
